namespace FS.API.UCenter.UCClient
{
    using System;
    using System.Collections;
    using System.Collections.Generic;

    public interface IUCClient
    {
        UCAppCollection UC_App_List();
        string UC_Avatar(int uid, string type, bool html);
        bool UC_Check_Avatar(int uid, string size, string type);
        bool UC_Credit_Exchange_Request(int uid, int from, int to, int toAppId, int amount);
        int UC_Feed_Add(string icon, int uid, string username, string title_template, string title_data, string body_template, string body_data, string body_general, string target_ids, List<UC_Image> images);
        UCFeedCollection UC_Feed_Get(int limit, bool delete);
        bool UC_Friend_Add(int uid, int friendid, string comment);
        int UC_Friend_Delete(int uid, string[] friendids);
        UCFriendCollection UC_Friend_List(int uid, int page, int pagesize, int totalnum, short direction);
        int UC_Friend_TotalNum(int uid, short direction);
        UC_User UC_Get_User(string username, bool isuid);
        UCMailQueueReturn UC_Mail_Queue(string[] uids, string[] email, string subject, string message, string mailFrom, string charset, bool htmlOn, int level);
        bool UC_PM_Blackls_Add(int uid, string[] usernames);
        void UC_PM_Blackls_Delete(int uid, string[] usernames);
        string UC_PM_Blackls_Get(int uid);
        bool UC_PM_Blackls_Set(int uid, string blackls);
        UC_PM_Check UC_PM_CheckNew(int uid, short more);
        int UC_PM_Delete(int uid, string folder, string[] pmids);
        int UC_PM_DeleteUser(int uid, string[] toUids);
        void UC_PM_Ignore(int uid);
        UCPMListReturn UC_PM_List(int uid, int page, int pagesize, string folder, string filter, int msglen);
        void UC_PM_Location(int uid, bool newpm);
        void UC_PM_ReadStatus(int uid, string[] fromUids, string[] pmids, bool readed);
        int UC_PM_Send(int fromuid, string msgto, string subject, string message, bool instantly, int replypmid, bool isusername);
        UCPMCollection UC_PM_View(int uid, int pmid, int toUid, short daterange);
        UC_PM UC_PM_ViewNode(int uid, short type, int pmid);
        UC_Tag UC_Tag_Get(string tagname, Hashtable nums);
        int UC_User_AddProtected(string[] usernames, string admin);
        int UC_User_CheckEmail(string email);
        int UC_User_CheckName(string username);
        int UC_User_Delete(string[] uid);
        void UC_User_DeleteAvatar(string[] uid);
        int UC_User_DeleteProtected(string[] usernames);
        int UC_User_Edit(string username, string oldpw, string newpw, string email, bool ignoreoldpw, int questionid, string answer);
        int UC_User_GetCredit(int appid, int uid, int credit);
        UCUserCollection UC_User_GetProtected();
        UCLoginReturn UC_User_Login(string username, string password, bool isuid, bool checkques, int questionid, string answer);
        int UC_User_Merge(string oldusername, string newusername, int uid, string password, string email);
        void UC_User_Merge_Remove(string username);
        int UC_User_Register(string username, string password, string email, int questionid, string answer);
        string UC_User_Synlogin(int uid);
        string UC_User_Synlogout();
    }
}

