namespace FS.API.UCenter.UCClient
{
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Xml;

    public sealed class UCAppCollection : UCReturnBase, IEnumerable
    {
        private List<UC_App> apps;

        public UCAppCollection(string returnString) : base(returnString)
        {
        }

        public IEnumerator GetEnumerator()
        {
            return this.apps.GetEnumerator();
        }

        protected override void UnSerialize()
        {
            this.apps = new List<UC_App>();
            try
            {
                XmlDocument document = new XmlDocument();
                document.LoadXml(base.ReturnValue);
                foreach (XmlNode node in document.DocumentElement.SelectNodes("item"))
                {
                    this.apps.Add(new UC_App(node));
                }
            }
            catch
            {
            }
        }
    }
}

