namespace FS.API.UCenter.UCClient
{
    using FS.API.UCenter;
    using System;

    public class UCClient : UCClientBase
    {
        public string UC_Avatar(int uid, string type)
        {
            return this.UC_Avatar(uid, type, true);
        }

        public bool UC_Check_Avatar(int uid)
        {
            return this.UC_Check_Avatar(uid, UCConfig.UC_CONST_AVATAR_SIZE_MIDDLE, UCConfig.UC_CONST_AVATAR_VIRTUAL);
        }

        public bool UC_Friend_Add(int uid, int friendid)
        {
            return this.UC_Friend_Add(uid, friendid, string.Empty);
        }

        public UCFriendCollection UC_Friend_List(int uid)
        {
            return this.UC_Friend_List(uid, 1, 10, 10, 0);
        }

        public UCFriendCollection UC_Friend_List(int uid, short direction)
        {
            return this.UC_Friend_List(uid, 1, 10, 10, direction);
        }

        public UCFriendCollection UC_Friend_List(int uid, int page, int pagesize, int totalnum)
        {
            return this.UC_Friend_List(uid, page, pagesize, totalnum, 0);
        }

        public int UC_Friend_TotalNum(int uid)
        {
            return this.UC_Friend_TotalNum(uid, 0);
        }

        public UC_User UC_Get_User(int userid)
        {
            return this.UC_Get_User(userid.ToString(), true);
        }

        public UC_User UC_Get_User(string username)
        {
            return this.UC_Get_User(username, false);
        }

        public bool UC_PM_Blackls_SetAll(int uid)
        {
            return base.UC_PM_Blackls_Set(uid, UCConfig.UC_CONST_PM_BLACKLS_ALL);
        }

        public UC_PM_Check UC_PM_CheckNew(int uid)
        {
            return this.UC_PM_CheckNew(uid, 3);
        }

        public UCPMListReturn UC_PM_List(int uid, int page, int pagesize)
        {
            return this.UC_PM_List(uid, page, pagesize, UCConfig.UC_CONST_PM_INBOX, UCConfig.UC_CONST_PM_FILTER_NEWPM, 0);
        }

        public UCPMListReturn UC_PM_List(int uid, string folder, string filter)
        {
            return this.UC_PM_List(uid, 1, 10, folder, filter, 0);
        }

        public UCPMListReturn UC_PM_List(int uid, int page, int pagesize, string folder, string filter)
        {
            return this.UC_PM_List(uid, page, pagesize, folder, filter, 0);
        }

        public void UC_PM_ReadStatus(int uid, string[] fromUids)
        {
            this.UC_PM_ReadStatus(uid, fromUids, new string[0], false);
        }

        public int UC_PM_Send(int fromuid, int msgto, string subject, string message)
        {
            return base.UC_PM_Send(fromuid, msgto.ToString(), subject, message, true, 0, true);
        }

        public int UC_PM_Send(int fromuid, string msgto, string subject, string message)
        {
            return base.UC_PM_Send(fromuid, msgto, subject, message, true, 0, false);
        }

        public UCPMCollection UC_PM_View(int uid, int pmid)
        {
            return this.UC_PM_View(uid, pmid, 0, 1);
        }

        public UCPMCollection UC_PM_View(int uid, int pmid, short daterange)
        {
            return this.UC_PM_View(uid, pmid, 0, daterange);
        }

        public UC_PM UC_PM_ViewNode(int uid, short type)
        {
            return this.UC_PM_ViewNode(uid, type, 0);
        }

        public UC_Tag UC_Tag_Get(string tagname)
        {
            return this.UC_Tag_Get(tagname, null);
        }

        public int UC_User_Edit(string username, string oldpw, string newpw, string email)
        {
            return this.UC_User_Edit(username, oldpw, newpw, email, false, 0, string.Empty);
        }

        public int UC_User_Edit(string username, string oldpw, string newpw, string email, bool ignoreoldpw)
        {
            return this.UC_User_Edit(username, oldpw, newpw, email, ignoreoldpw, 0, string.Empty);
        }

        public UCLoginReturn UC_User_Login(int userid, string password)
        {
            return this.UC_User_Login(userid.ToString(), password, true, false, 0, string.Empty);
        }

        public UCLoginReturn UC_User_Login(string username, string password)
        {
            return this.UC_User_Login(username, password, false, false, 0, string.Empty);
        }

        public int UC_User_Register(string username, string password, string email)
        {
            return this.UC_User_Register(username, password, email, 0, string.Empty);
        }
    }
}

