namespace FS.API.UCenter.UCClient
{
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Xml;

    public sealed class UCFeedCollection : UCReturnBase, IEnumerable
    {
        private List<UC_Feed> feeds;

        public UCFeedCollection(string returnString) : base(returnString)
        {
        }

        public IEnumerator GetEnumerator()
        {
            return this.feeds.GetEnumerator();
        }

        protected override void UnSerialize()
        {
            this.feeds = new List<UC_Feed>();
            try
            {
                XmlDocument document = new XmlDocument();
                document.LoadXml(base.ReturnValue);
                foreach (XmlNode node in document.DocumentElement.SelectNodes("item"))
                {
                    this.feeds.Add(new UC_Feed(node));
                }
            }
            catch
            {
            }
        }
    }
}

