namespace FS.API.UCenter.UCClient
{
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Reflection;
    using System.Xml;

    public sealed class UCFriendCollection : UCReturnBase, IEnumerable
    {
        private List<UC_Friend> friends;

        private UCFriendCollection()
        {
        }

        public UCFriendCollection(string returnString) : base(returnString)
        {
        }

        public IEnumerator GetEnumerator()
        {
            return this.friends.GetEnumerator();
        }

        protected override void UnSerialize()
        {
            this.friends = new List<UC_Friend>();
            try
            {
                XmlDocument document = new XmlDocument();
                document.LoadXml(base.ReturnValue);
                foreach (XmlNode node in document.DocumentElement.SelectNodes("item"))
                {
                    this.friends.Add(new UC_Friend(node));
                }
            }
            catch
            {
            }
        }

        public List<UC_Friend> Friends
        {
            get
            {
                return this.friends;
            }
        }

        public UC_Friend this[string friendname]
        {
            get
            {
                if (this.friends != null)
                {
                    foreach (UC_Friend friend in this.friends)
                    {
                        if (friend.Username.ToLower() == friendname.ToLower())
                        {
                            return friend;
                        }
                    }
                }
                return null;
            }
        }

        public UC_Friend this[int friendid]
        {
            get
            {
                if (this.friends != null)
                {
                    foreach (UC_Friend friend in this.friends)
                    {
                        if (friend.FriendId == friendid)
                        {
                            return friend;
                        }
                    }
                }
                return null;
            }
        }
    }
}

