namespace FS.API.UCenter.UCClient
{
    using System;

    public sealed class UCLoginReturn : UCReturnBase
    {
        private bool isRepeatUsername;
        private UC_User user;

        public UCLoginReturn(string returnString) : base(returnString)
        {
            this.user = new UC_User();
            this.user.Uid = base.GetIntValue("0");
            this.user.Username = base.GetStringValue("1");
            this.user.Password = base.GetStringValue("2");
            this.user.Email = base.GetStringValue("3");
            this.isRepeatUsername = base.GetBooleanValue("4");
        }

        public bool IsRepeatUsername
        {
            get
            {
                return this.isRepeatUsername;
            }
        }

        public bool Success
        {
            get
            {
                return (this.user.Uid > 0);
            }
        }

        public UC_User User
        {
            get
            {
                return this.user;
            }
        }
    }
}

