namespace FS.API.UCenter.UCClient
{
    using FS.API.UCenter;
    using System;
    using System.Text.RegularExpressions;

    public sealed class UCMailQueueReturn : UCReturnBase
    {
        private bool isFailed;
        private int mailQueueId;

        private UCMailQueueReturn()
        {
            this.isFailed = true;
            this.mailQueueId = 0;
        }

        public UCMailQueueReturn(string returnValue) : base(returnValue)
        {
        }

        protected override void UnSerialize()
        {
            Regex regex = new Regex(@"^\d+$");
            if (regex.IsMatch(base.ReturnValue))
            {
                this.mailQueueId = Utils.StringToInt(base.ReturnValue);
                this.isFailed = this.mailQueueId > 0;
            }
        }

        public bool IsFailed
        {
            get
            {
                return this.isFailed;
            }
        }

        public int MailQueueId
        {
            get
            {
                return this.mailQueueId;
            }
        }
    }
}

