namespace FS.API.UCenter.UCClient
{
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Reflection;
    using System.Xml;

    public sealed class UCPMCollection : UCReturnBase, IEnumerable
    {
        private List<UC_PM> pmList;

        private UCPMCollection()
        {
        }

        public UCPMCollection(string returnString) : base(returnString)
        {
        }

        public IEnumerator GetEnumerator()
        {
            return this.pmList.GetEnumerator();
        }

        protected override void UnSerialize()
        {
            this.pmList = new List<UC_PM>();
            XmlDocument document = new XmlDocument();
            try
            {
                document.LoadXml(base.ReturnValue);
                foreach (XmlNode node in document.DocumentElement.SelectNodes("item"))
                {
                    this.pmList.Add(new UC_PM(node));
                }
            }
            catch
            {
            }
        }

        public UC_PM this[int pmid]
        {
            get
            {
                if (this.pmList != null)
                {
                    foreach (UC_PM uc_pm in this.pmList)
                    {
                        if (uc_pm.PMId == pmid)
                        {
                            return uc_pm;
                        }
                    }
                }
                return null;
            }
        }

        public List<UC_PM> PMList
        {
            get
            {
                return this.pmList;
            }
        }
    }
}

