namespace FS.API.UCenter.UCClient
{
    using FS.API.UCenter;
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Xml;

    public sealed class UCPMListReturn : UCReturnBase, IEnumerable
    {
        private int count;
        private List<UC_PM> pmList;

        public UCPMListReturn(string returnString) : base(returnString)
        {
        }

        public IEnumerator GetEnumerator()
        {
            return this.pmList.GetEnumerator();
        }

        protected override void UnSerialize()
        {
            this.pmList = new List<UC_PM>();
            XmlDocument document = new XmlDocument();
            try
            {
                document.LoadXml(base.ReturnValue);
                this.count = Utils.StringToInt(document.DocumentElement.SelectSingleNode("item[@id='count']").FirstChild.Value);
                foreach (XmlNode node in document.DocumentElement.SelectNodes("item[@id='data']/item"))
                {
                    this.pmList.Add(new UC_PM(node));
                }
            }
            catch
            {
            }
        }

        public int Count
        {
            get
            {
                return this.count;
            }
        }

        public List<UC_PM> PMList
        {
            get
            {
                return this.pmList;
            }
        }
    }
}

