namespace FS.API.UCenter.UCClient
{
    using FS.API.UCenter;
    using System;
    using System.Collections;

    public abstract class UCReturnBase
    {
        private Hashtable hashtable;
        private string returnValue;

        protected UCReturnBase()
        {
            this.returnValue = "";
            this.hashtable = new Hashtable();
        }

        protected UCReturnBase(string returnString) : this()
        {
            this.returnValue = returnString;
            this.UnSerialize();
        }

        public bool GetBooleanValue(string key)
        {
            return (this.GetIntValue(key) > 0);
        }

        public int GetIntValue(string key)
        {
            return Utils.StringToInt(this.GetStringValue(key));
        }

        public int GetIntValue(string key, int defaultValue)
        {
            return Utils.StringToInt(this.GetStringValue(key), defaultValue);
        }

        public string GetStringValue(string key)
        {
            if (this.hashtable.Count == 0)
            {
                return "";
            }
            if (this.hashtable[key] == null)
            {
                return "";
            }
            return this.hashtable[key].ToString().Trim();
        }

        protected virtual void UnSerialize()
        {
            this.hashtable = SerializeHelper.UnSerialize(this.returnValue);
        }

        public string ReturnValue
        {
            get
            {
                return this.returnValue;
            }
        }
    }
}

