namespace FS.API.UCenter.UCClient
{
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Reflection;
    using System.Xml;

    public sealed class UCUserCollection : UCReturnBase, IEnumerable
    {
        private XmlDocument doc;
        private List<UC_User> users;

        public UCUserCollection(string returnString) : base(returnString)
        {
        }

        public IEnumerator GetEnumerator()
        {
            return this.users.GetEnumerator();
        }

        protected override void UnSerialize()
        {
            this.users = new List<UC_User>();
            this.doc = new XmlDocument();
            this.doc.LoadXml(base.ReturnValue);
            foreach (XmlNode node in this.doc.DocumentElement.SelectNodes("item"))
            {
                this.users.Add(new UC_User(node));
            }
        }

        public UC_User this[string username]
        {
            get
            {
                if (this.users != null)
                {
                    foreach (UC_User user in this.users)
                    {
                        if (user.Username.ToLower() == username.ToLower())
                        {
                            return user;
                        }
                    }
                }
                return null;
            }
        }

        public UC_User this[int uid]
        {
            get
            {
                if (this.users != null)
                {
                    foreach (UC_User user in this.users)
                    {
                        if (user.Uid == uid)
                        {
                            return user;
                        }
                    }
                }
                return null;
            }
        }
    }
}

