namespace FS.API.UCenter.UCClient
{
    using FS.API.UCenter;
    using System;
    using System.Xml;

    public sealed class UC_App
    {
        public int AppId;
        public string Name;
        public bool Synlogin;
        public string TagTemplate;
        public string Type;
        public string Url;
        public string ViewProUrl;

        private UC_App()
        {
            this.AppId = 0;
            this.Type = "";
            this.Name = "";
            this.Url = "";
            this.TagTemplate = "";
            this.ViewProUrl = "";
            this.Synlogin = false;
        }

        public UC_App(XmlNode node) : this()
        {
        }

        private void InitFromXml(XmlNode node)
        {
            try
            {
                this.AppId = Utils.StringToInt(node.SelectSingleNode("item[@id='appid']").FirstChild.Value);
                this.Type = node.SelectSingleNode("item[@id='type']").FirstChild.Value;
                this.Name = node.SelectSingleNode("item[@id='name']").FirstChild.Value;
                this.Url = node.SelectSingleNode("item[@id='url']").FirstChild.Value;
                this.ViewProUrl = node.SelectSingleNode("item[@id='viewprourl']").FirstChild.Value;
                this.Synlogin = node.SelectSingleNode("item[@id='synlogin']").FirstChild.Value == "1";
            }
            catch
            {
            }
        }

        public override string ToString()
        {
            return string.Format("AppId={0}, Type={1}, Name={2}, Url={3}, TagTemplate={4}, ViewProUrl={5}", new object[] { this.AppId, this.Type, this.Name, this.Url, this.TagTemplate, this.ViewProUrl });
        }
    }
}

