namespace FS.API.UCenter.UCClient
{
    using FS.API.UCenter;
    using System;
    using System.Xml;

    public sealed class UC_Feed
    {
        public int AppId;
        public string BodyData;
        public string BodyGeneral;
        public string BodyTemplate;
        public int DateLine;
        public int FeedId;
        public string HashData;
        public string HashTempleate;
        public string Icon;
        public UC_Image Image1;
        public UC_Image Image2;
        public UC_Image Image3;
        public UC_Image Image4;
        public string TitleData;
        public string TitleTemplate;
        public int Uid;
        public string Username;

        public UC_Feed(XmlNode node)
        {
            this.InitFromXml(node);
        }

        private void InitFromXml(XmlNode node)
        {
            try
            {
                this.FeedId = Utils.StringToInt(node.SelectSingleNode("item[@id='feedid']").FirstChild.Value);
                this.AppId = Utils.StringToInt(node.SelectSingleNode("item[@id='feedid']").FirstChild.Value);
                this.Icon = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                this.Uid = Utils.StringToInt(node.SelectSingleNode("item[@id='feedid']").FirstChild.Value);
                this.Username = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                this.DateLine = Utils.StringToInt(node.SelectSingleNode("item[@id='feedid']").FirstChild.Value);
                this.HashTempleate = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                this.HashData = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                this.TitleTemplate = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                this.TitleData = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                this.BodyTemplate = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                this.BodyData = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                this.BodyGeneral = node.SelectSingleNode("item[@id='feedid']").FirstChild.Value;
                string url = node.SelectSingleNode("item[@id='image_1']").FirstChild.Value;
                string link = node.SelectSingleNode("item[@id='image_1_link']").FirstChild.Value;
                this.Image1 = new UC_Image(url, link);
                url = node.SelectSingleNode("item[@id='image_2']").FirstChild.Value;
                link = node.SelectSingleNode("item[@id='image_2_link']").FirstChild.Value;
                this.Image2 = new UC_Image(url, link);
                url = node.SelectSingleNode("item[@id='image_3']").FirstChild.Value;
                link = node.SelectSingleNode("item[@id='image_3_link']").FirstChild.Value;
                this.Image3 = new UC_Image(url, link);
                url = node.SelectSingleNode("item[@id='image_4']").FirstChild.Value;
                link = node.SelectSingleNode("item[@id='image_4_link']").FirstChild.Value;
                this.Image4 = new UC_Image(url, link);
            }
            catch
            {
            }
        }

        public override string ToString()
        {
            string str = "FeedId={0}, AppId={1}, Icon={2}, Uid={3}, Username,DateLine={4}, HashTempleate={5},";
            return string.Format(str + "HashData={6}, TitleTemplate={7},TitleData={8}, BodyTemplate={9}," + "BodyData={10}, BodyGeneral={11}, Image1={12}, Image2={13}, Image3={14}, Image4={15}", new object[] { 
                this.FeedId, this.AppId, this.Icon, this.Uid, this.Username, this.DateLine, this.HashTempleate, this.HashData, this.TitleTemplate, this.TitleData, this.BodyTemplate, this.BodyData, this.BodyGeneral, this.Image1, this.Image2, this.Image3, 
                this.Image4
             });
        }
    }
}

