namespace FS.API.UCenter.UCClient
{
    using FS.API.UCenter;
    using System;
    using System.Xml;

    public sealed class UC_Friend : UCReturnBase
    {
        public string Comment;
        public short DelStatus;
        public short Direction;
        public int FriendId;
        public int Uid;
        public string Username;
        public int Version;

        private UC_Friend()
        {
            this.Username = "";
            this.Comment = "";
        }

        public UC_Friend(string returnString) : base(returnString)
        {
        }

        public UC_Friend(XmlNode node)
        {
            this.InitFromXml(node);
        }

        private void InitFromXml(XmlNode node)
        {
            try
            {
                this.Uid = Utils.StringToInt(node.SelectSingleNode("item[@id='uid']").FirstChild.Value);
                this.Username = node.SelectSingleNode("item[@id='username']").FirstChild.Value;
                this.FriendId = Utils.StringToInt(node.SelectSingleNode("item[@id='friendid']").FirstChild.Value);
                this.Version = Utils.StringToInt(node.SelectSingleNode("item[@id='version']").FirstChild.Value);
                this.Direction = Utils.StringToShort(node.SelectSingleNode("item[@id='direction']").FirstChild.Value);
                this.DelStatus = Utils.StringToShort(node.SelectSingleNode("item[@id='delstatus']").FirstChild.Value);
                this.Comment = node.SelectSingleNode("item[@id='comment']").FirstChild.Value;
            }
            catch
            {
            }
        }

        public override string ToString()
        {
            return string.Format("Uid={0}, Username={1}, FriendId={2}, Direction={3}", new object[] { this.Uid, this.Username, this.FriendId, this.Direction });
        }

        protected override void UnSerialize()
        {
            try
            {
                XmlDocument document = new XmlDocument();
                document.LoadXml(base.ReturnValue);
                this.InitFromXml(document.DocumentElement);
            }
            catch
            {
            }
        }
    }
}

