namespace FS.API.UCenter.UCClient
{
    using System;

    public sealed class UC_PM_Check : UCReturnBase
    {
        public int AnnouncePM;
        public int LastDate;
        public string LastMsg;
        public string LastMsgFrom;
        public int LastMsgFromId;
        public int NewPM;
        public int NewPrivatePM;
        public int SystemPM;

        public UC_PM_Check(string returnString) : base(returnString)
        {
            this.LastMsgFrom = string.Empty;
            this.LastMsg = string.Empty;
            this.NewPM = base.GetIntValue("newpm");
            this.NewPrivatePM = base.GetIntValue("newprivatepm");
            this.AnnouncePM = base.GetIntValue("announcepm");
            this.SystemPM = base.GetIntValue("systempm");
            this.LastDate = base.GetIntValue("lastdate");
            this.LastMsgFromId = base.GetIntValue("lastmsgfromid");
            this.LastMsgFrom = base.GetStringValue("lastmsgfrom");
            this.LastMsg = base.GetStringValue("lastmsg");
        }

        public override string ToString()
        {
            return string.Format("NewPM={0}, NewPrivatePM={1}, AnnouncePM={2}, SystemPM={3}, LastDate={4}, LastMsgFromId={5}, LastMsgFrom={6}, LastMsg={7}", new object[] { this.NewPM, this.NewPrivatePM, this.AnnouncePM, this.SystemPM, this.LastDate, this.LastMsgFromId, this.LastMsgFrom, this.LastMsg });
        }
    }
}

