namespace FS.API.UCenter.UCClient
{
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Xml;

    public sealed class UC_Tag : UCReturnBase, IEnumerable
    {
        private string appType;
        private List<UC_Tag_Data> datalist;

        public UC_Tag(string returnString) : base(returnString)
        {
        }

        public IEnumerator GetEnumerator()
        {
            return this.datalist.GetEnumerator();
        }

        public override string ToString()
        {
            return string.Format("AppType={0}, Datalist.Count={1}", this.appType, this.datalist.Count);
        }

        protected override void UnSerialize()
        {
            this.datalist = new List<UC_Tag_Data>();
            this.appType = "";
            try
            {
                XmlDocument document = new XmlDocument();
                document.LoadXml(base.ReturnValue);
                this.appType = document.DocumentElement.SelectSingleNode("item[@id='type']").FirstChild.Value;
                foreach (XmlNode node in document.DocumentElement.SelectNodes("item[@id='data']/item"))
                {
                    this.datalist.Add(new UC_Tag_Data(node));
                }
            }
            catch
            {
            }
        }

        public string AppType
        {
            get
            {
                return this.appType;
            }
        }

        public List<UC_Tag_Data> Tags
        {
            get
            {
                return this.datalist;
            }
        }
    }
}

