namespace FS.API.UCenter.UCClient
{
    using System;
    using System.Xml;

    public sealed class UC_Tag_Data
    {
        public string Extra;
        public string Subject;
        public string Url;

        public UC_Tag_Data()
        {
            this.Url = "";
            this.Subject = "";
            this.Extra = "";
        }

        public UC_Tag_Data(XmlNode node) : this()
        {
            this.InitFromXml(node);
        }

        private void InitFromXml(XmlNode node)
        {
            try
            {
                this.Url = node.SelectSingleNode("item[@id='url']").FirstChild.Value;
                this.Subject = node.SelectSingleNode("item[@id='subject']").FirstChild.Value;
                this.Extra = node.SelectSingleNode("item[@id='extra']").FirstChild.Value;
            }
            catch
            {
            }
        }

        public override string ToString()
        {
            return string.Format("Url={0}, Subject={1}, Extra={2}", this.Url, this.Subject, this.Extra);
        }
    }
}

