namespace FS.API.UCenter.UCClient
{
    using FS.API.UCenter;
    using System;
    using System.Xml;

    public sealed class UC_User : UCReturnBase
    {
        public string Email;
        public string Password;
        public int Uid;
        public string Username;

        public UC_User()
        {
            this.Uid = 0;
            this.Username = "";
            this.Email = "";
            this.Password = null;
        }

        public UC_User(string returnString) : base(returnString)
        {
            this.Uid = base.GetIntValue("0");
            this.Username = base.GetStringValue("1");
            this.Email = base.GetStringValue("2");
        }

        public UC_User(XmlNode node) : this()
        {
            try
            {
                this.Uid = Utils.StringToInt(node.SelectSingleNode("item[@id='uid']").FirstChild.Value);
                this.Username = node.SelectSingleNode("item[@id='username']").FirstChild.Value;
            }
            catch
            {
            }
        }

        public override string ToString()
        {
            return string.Format("Uid={0}, Username={1}, Email={2}, Password={3}", new object[] { this.Uid, this.Username, this.Email, this.Password });
        }
    }
}

