namespace FS.API.UCenter
{
    using System;
    using System.Collections;
    using System.Text;
    using System.Xml;

    /// <summary>
    /// Դ
    /// ޸ߣDozer
    /// ϵʽmail@dozerstudio.com
    /// </summary>
    public sealed class SerializeHelper
    {
        private static void GetItems(XmlNode node, Hashtable ht)
        {
                foreach (XmlNode xn in node.ChildNodes)
                {

                    ht.Add(xn.Name.Substring(xn.Name.IndexOf('_') + 1), xn.InnerText);
                }
        }

        public static string Serialize(Hashtable args, bool htmlOn)
        {
            return Serialize(args, htmlOn, 1);
        }

        private static string Serialize(Hashtable args, bool htmlOn, int level)
        {
            StringBuilder builder = new StringBuilder();
            if (level <= 1)
            {
                builder.AppendLine("<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>");
                builder.AppendLine("<root>");
            }
            foreach (DictionaryEntry entry in args)
            {
                if (entry.Value is Hashtable)
                {
                    builder.AppendLine("<item_" + entry.Key.ToString() + ">");
                    builder.AppendLine(Serialize((Hashtable) entry.Value, htmlOn, level + 1));
                    builder.AppendLine("</item>");
                }
                else
                {
                    builder.AppendFormat(htmlOn ? "<item_{0}><![CDATA[{1}]]></item>\r\n" : "<item_{0}>{1}</item>\r\n", entry.Key, entry.Value);
                }
            }
            if (level == 1)
            {
                builder.AppendLine("</root>");
            }
            return builder.ToString();
        }

        public static Hashtable UnSerialize(string xml)
        {
            return UnSerialize(xml, "root");
        }

        public static Hashtable UnSerialize(string xml, string rootNodeName)
        {
            Hashtable ht = new Hashtable();
            try
            {
                XmlDocument document = new XmlDocument();
                document.LoadXml(xml);
                XmlNode node = document.SelectSingleNode(rootNodeName);
                GetItems(node, ht);
            }
            catch
            {
            }
            Console.WriteLine("----------------HT---------------------");
            return ht;
        }
    }
}

