namespace FS.API.UCenter
{
    using System;
    using System.Configuration;
    /// <summary>
    /// Դ
    /// ޸ߣDozer
    /// ϵʽmail@dozerstudio.com
    /// </summary>
    public static class UCConfig
    {
        private static string GetUCConst(string key, string defaultValue)
        {
            string str = ConfigurationManager.AppSettings[key];
            if (string.IsNullOrEmpty(str))
            {
                return defaultValue;
            }
            return str.Trim();
        }

        public static string UC_API
        {
            get
            {
                string str = ConfigurationManager.AppSettings["UC_API"];
                if (!str.EndsWith("/"))
                {
                    str = str + "/";
                }
                return str;
            }
        }

        public static string UC_APPID
        {
            get
            {
                return ConfigurationManager.AppSettings["UC_APPID"];
            }
        }

        public static string UC_CHARSET
        {
            get
            {
                return ConfigurationManager.AppSettings["UC_CHARSET"];
            }
        }

        public static string UC_CLIENT_RELEASE
        {
            get
            {
                return ConfigurationManager.AppSettings["UC_CLIENT_RELEASE"];
            }
        }

        public static string UC_CLIENT_VERSION
        {
            get
            {
                return ConfigurationManager.AppSettings["UC_CLIENT_VERSION"];
            }
        }

        public static string UC_CONST_AVATAR_REAL
        {
            get
            {
                return GetUCConst("UC_CONST_AVATAR_REAL", "real");
            }
        }

        public static string UC_CONST_AVATAR_SIZE_BIG
        {
            get
            {
                return GetUCConst("UC_CONST_AVATAR_SIZE_BIG", "big");
            }
        }

        public static string UC_CONST_AVATAR_SIZE_MIDDLE
        {
            get
            {
                return GetUCConst("UC_CONST_AVATAR_SIZE_MIDDLE", "middle");
            }
        }

        public static string UC_CONST_AVATAR_SIZE_SMALL
        {
            get
            {
                return GetUCConst("UC_CONST_AVATAR_SIZE_SMALL", "small");
            }
        }

        public static string UC_CONST_AVATAR_VIRTUAL
        {
            get
            {
                return GetUCConst("UC_CONST_AVATAR_VIRTUAL", "virtual");
            }
        }

        public static string UC_CONST_PM_BLACKLS_ALL
        {
            get
            {
                return GetUCConst("UC_CONST_PM_BLACKLS_ALL", "ALL");
            }
        }

        public static string UC_CONST_PM_FILTER_ANNOUNCEPM
        {
            get
            {
                return GetUCConst("UC_CONST_PM_FILTER_ANNOUNCEPM", "announcepm");
            }
        }

        public static string UC_CONST_PM_FILTER_NEWPM
        {
            get
            {
                return GetUCConst("UC_CONST_PM_FILTER_NEWPM", "newpm");
            }
        }

        public static string UC_CONST_PM_FILTER_SYSTEMPM
        {
            get
            {
                return GetUCConst("UC_CONST_PM_FILTER_SYSTEMPM", "systempm");
            }
        }

        public static string UC_CONST_PM_INBOX
        {
            get
            {
                return GetUCConst("UC_CONST_PM_INBOX", "inbox");
            }
        }

        public static string UC_CONST_PM_NEWBOX
        {
            get
            {
                return GetUCConst("UC_CONST_PM_NEWBOX", "newbox");
            }
        }

        public static string UC_CONST_PM_OUTBOX
        {
            get
            {
                return GetUCConst("UC_CONST_PM_OUTBOX", "outbox");
            }
        }

        public static string UC_IP
        {
            get
            {
                return ConfigurationManager.AppSettings["UC_IP"];
            }
        }

        public static string UC_KEY
        {
            get
            {
                return ConfigurationManager.AppSettings["UC_KEY"];
            }
        }
    }
}

